cockpit-machines (353-3) unstable; urgency=medium

  * Reupload includig -node tarball, forgotten in -2.

 -- Martin Pitt <mpitt@debian.org>  Sun, 31 May 2026 09:23:47 +0200

cockpit-machines (353-2) unstable; urgency=medium

  * Revert "Restrict to architectures which support both libvirt and nodejs".
    This was a thinko. britney and autopkgtest already handle this
    correctly. See further discussion in #1137419

 -- Martin Pitt <mpitt@debian.org>  Sun, 31 May 2026 08:38:56 +0200

cockpit-machines (353-1) unstable; urgency=medium

  * New upstream release:
    - Improvements to the "Add disk" and "Create Volume" dialogs
  * Restrict to architectures which support both libvirt and nodejs. libvirt
    recently dropped these packages on 32 bit architectures.  This was a bit
    overzealous, but now makes cockpit-machines uninstallable there.
    Technically, c-machines is arch independent, but dpkg does not allow
    architecture restrictions in Depends:, so we are forced to make the
    package arch dependent. (Closes: #1137419)

 -- Martin Pitt <mpitt@debian.org>  Fri, 29 May 2026 06:26:38 +0200

cockpit-machines (351-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 09 Apr 2026 04:59:30 +0200

cockpit-machines (350-1) unstable; urgency=medium

  * New upstream release:
    - Support virt-install --extra-args when creating machines
    - Bug fixes and translation updates

 -- Martin Pitt <mpitt@debian.org>  Thu, 19 Mar 2026 12:43:04 +0000

cockpit-machines (348-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 11 Feb 2026 15:45:43 +0100

cockpit-machines (347-1) unstable; urgency=medium

  * New upstream bug fix release.
  * Rebuild JS bundle during package build.

 -- Martin Pitt <mpitt@debian.org>  Thu, 29 Jan 2026 10:59:02 +0100

cockpit-machines (346-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 18 Dec 2025 06:13:25 +0000

cockpit-machines (345-1) unstable; urgency=medium

  * New upstream release:
    - Port forwarding for user session VMs
    - "Shutdown and restart" action
    - Faster startup
    - New virtual machines don't get SPICE graphics anymore
    - Support for network port forwarding

 -- Martin Pitt <mpitt@debian.org>  Thu, 27 Nov 2025 10:57:26 +0100

cockpit-machines (343-1) unstable; urgency=medium

  * New upstream release:
    - Memory usage now shows numbers reported by the guest

 -- Martin Pitt <mpitt@debian.org>  Fri, 31 Oct 2025 11:42:46 +0100

cockpit-machines (341-1) unstable; urgency=medium

  * New upstream release:
    - Use exclusive VNC connections with "Remote resizing"
    - Improved UX for Disks and Network interface tables

 -- Martin Pitt <mpitt@debian.org>  Thu, 02 Oct 2025 21:25:52 +0200

cockpit-machines (339-1) unstable; urgency=medium

  * New upstream release:
    - Serial consoles now keep their content and stay alive
    - No longer copies qemu.conf values into VM definitions

 -- Martin Pitt <mpitt@debian.org>  Wed, 03 Sep 2025 09:15:47 +0000

cockpit-machines (338-1) unstable; urgency=medium

  * New upstream release:
    - Detachable VNC console

 -- Martin Pitt <mpitt@debian.org>  Thu, 21 Aug 2025 08:41:10 +0000

cockpit-machines (336-1) experimental; urgency=medium

  * New upstream release:
    - Graphical VNC and serial consoles improvements
    - Control VNC console resizing and scaling
  * autopkgtest: Fix kernel version comparison.
    This was only supposed to apply to 6.1.x, not e.g. 6.15. The bug was
    fixed in 6.3.
  * autopkgtest: Show non-matching output.
    This makes failing tests easier to debug.
  * autopkgtest: Move cookie jar to home directory.
    Ubuntu's most recent AppArmor policy introduced a policy for curl which
    disallows reading files in /tmp.

 -- Martin Pitt <mpitt@debian.org>  Mon, 28 Jul 2025 07:02:48 +0200

cockpit-machines (335-1) experimental; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 09 Jul 2025 09:42:20 +0200

cockpit-machines (334-1) experimental; urgency=medium

  * New upstream release:
    - Virtual network interfaces can now select source mode
    - Bug fixes and translation updates

 -- Martin Pitt <mpitt@debian.org>  Sat, 28 Jun 2025 08:01:39 +0200

cockpit-machines (332-1) unstable; urgency=medium

  * New upstream bug fix release:
    - The "shareable" attribute of disks is no longer modified by Cockpit
    - Bug fixes and translation updates

 -- Martin Pitt <mpitt@debian.org>  Thu, 22 May 2025 05:26:45 +0000

cockpit-machines (331-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 15 May 2025 12:05:25 +0000

cockpit-machines (330-1) unstable; urgency=medium

  * New upstream release:
    - Upgraded to Patternfly 6

 -- Martin Pitt <mpitt@debian.org>  Wed, 23 Apr 2025 14:54:16 +0000

cockpit-machines (329-1) unstable; urgency=medium

  * New upstream release:
    - Fix launching remote viewer

 -- Martin Pitt <mpitt@debian.org>  Wed, 12 Mar 2025 14:05:54 +0100

cockpit-machines (328-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 27 Feb 2025 09:35:21 +0000

cockpit-machines (327-1) unstable; urgency=medium

  * New upstream bug fix release.
  * Promote virtinst Recommends to Depends. Managing existing machines calls
    "virt-xml", which is also contained in that package.
  * Prefer new "virt-install" name over old "virtinst".

 -- Martin Pitt <mpitt@debian.org>  Wed, 29 Jan 2025 10:27:30 +0000

cockpit-machines (326-1) unstable; urgency=medium

  * New upstream release:
    - Download and install unsupported and older operating systems

 -- Martin Pitt <mpitt@debian.org>  Thu, 19 Dec 2024 03:29:06 +0000

cockpit-machines (325-2) unstable; urgency=medium

  * autopkgtest: Drop unit start test with LXC on Debian 12.
    The attempted workaround does not suffice on LXC 5 on Debian 12 any
    more (see #1073815). The units fail with "Failed to update dynamic user
    credentials: Permission denied". Also, this was becoming ridiculous, and
    not really testing the package any more.
    Give up and skip that part of the text under these conditions. It will
    still run in QEMU runners (such as in Ubuntu or some Debian
    architectures).

 -- Martin Pitt <mpitt@debian.org>  Wed, 11 Dec 2024 00:09:28 +0000

cockpit-machines (325-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 04 Dec 2024 11:19:56 +0100

cockpit-machines (324-1) unstable; urgency=medium

  * New upstream release:
    - Limit size of descriptions

 -- Martin Pitt <mpitt@debian.org>  Wed, 20 Nov 2024 16:18:42 +0100

cockpit-machines (323-1) unstable; urgency=medium

  * New upstream release:
    - Action to add a TPM

 -- Martin Pitt <mpitt@debian.org>  Wed, 06 Nov 2024 14:11:30 +0100

cockpit-machines (322-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 23 Oct 2024 11:02:39 +0200

cockpit-machines (321-1) unstable; urgency=medium

  * New upstream release:
    - Drop usage of virtinterfaced

 -- Martin Pitt <mpitt@debian.org>  Wed, 09 Oct 2024 14:57:08 +0000

cockpit-machines (320-1) unstable; urgency=medium

  * New upstream release:
    - Improve snapshot memory path handling
    - Add support for VM descriptions

 -- Martin Pitt <mpitt@debian.org>  Wed, 25 Sep 2024 13:03:45 +0200

cockpit-machines (319-1) unstable; urgency=medium

  * New upstream bug fix release.
  * debian/gbp.conf: Enable pristine-tar

 -- Martin Pitt <mpitt@debian.org>  Sun, 15 Sep 2024 17:56:17 +0200

cockpit-machines (318-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Tue, 20 Aug 2024 10:25:39 +0200

cockpit-machines (317-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 08 Aug 2024 11:14:20 +0200

cockpit-machines (316-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 10 Jul 2024 11:49:39 +0200

cockpit-machines (315-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 26 Jun 2024 14:23:36 +0200

cockpit-machines (314-2) unstable; urgency=medium

  * autopkgtest: Adjust DynamicUser= workaround.
    cockpit dropped the static adduser from its postinst and moved the hack
    into its autopkgtest. Follow suit. Also restrict the hack to running
    inside of a container, as it works fine on the host. Add bug reference.

 -- Martin Pitt <mpitt@debian.org>  Wed, 19 Jun 2024 08:11:11 +0200

cockpit-machines (314-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Mon, 17 Jun 2024 09:29:49 +0200

cockpit-machines (313-3) unstable; urgency=medium

  * autopkgtest: Adjust for test running as root
  * autopkgtest: Add logs for debugging failure

 -- Martin Pitt <mpitt@debian.org>  Sun, 09 Jun 2024 19:35:59 +0200

cockpit-machines (313-2) unstable; urgency=medium

  * autopkgtest: Add workaround for stable kernel+LXC breaking DynamicUser=.
    Our autopkgtest fails in ci.debian.net with "Failed to update dynamic user
    credentials: Permission denied".
    This is a bug with the Debian 12 kernel and LXC, and doesn't reproduce
    when running on the host with the old kernel, or running LXC+kernel on
    testing. We don't even *actually* use a DynamicUser= there, it's statically
    allocated.
    Taken from https://salsa.debian.org/utopia-team/cockpit/-/commit/36c1e44

 -- Martin Pitt <mpitt@debian.org>  Sun, 09 Jun 2024 09:19:56 +0200

cockpit-machines (313-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Mon, 03 Jun 2024 06:52:55 +0200

cockpit-machines (312-1) unstable; urgency=medium

  * New upstream release:
    - Allow pasting multiple SSH keys at once in Create VM dialog
    - Fix detaching host device for running VMs

 -- Martin Pitt <mpitt@debian.org>  Fri, 26 Apr 2024 07:38:50 +0200

cockpit-machines (310-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Sat, 30 Mar 2024 12:31:43 +0100

cockpit-machines (309-1) unstable; urgency=medium

  * New upstream release:
    - Add TPM when switching to EFI
    - Update RHEL doc links to release 9

 -- Martin Pitt <mpitt@debian.org>  Wed, 13 Mar 2024 14:01:36 +0100

cockpit-machines (307-1) unstable; urgency=medium

  * New upstream release:
    - Mass SPICE replacement
    - Pre-formatted Block Device storage pool support

 -- Martin Pitt <mpitt@debian.org>  Wed, 14 Feb 2024 13:57:48 +0000

cockpit-machines (306-1) unstable; urgency=medium

  * New upstream release:
    - Action to Replace SPICE devices
    - Create external snapshots when supported

 -- Martin Pitt <mpitt@debian.org>  Wed, 31 Jan 2024 17:28:44 +0100

cockpit-machines (305-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 18 Jan 2024 15:09:12 +0100

cockpit-machines (304-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Sun, 17 Dec 2023 08:35:07 +0000

cockpit-machines (303-1) unstable; urgency=medium

  * New upstream release:
    - Change "Add disk" default behavior

 -- Martin Pitt <mpitt@debian.org>  Wed, 29 Nov 2023 10:15:30 +0000

cockpit-machines (302-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 16 Nov 2023 07:42:28 +0100

cockpit-machines (301-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 02 Nov 2023 09:48:14 +0100

cockpit-machines (300-1) unstable; urgency=medium

  * New upstream release:
    - Add SSH keys to VM creation dialog

 -- Martin Pitt <mpitt@debian.org>  Thu, 19 Oct 2023 08:07:59 +0200

cockpit-machines (299-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 21 Sep 2023 07:15:29 +0200

cockpit-machines (298-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 06 Sep 2023 16:05:47 +0200

cockpit-machines (297-1) unstable; urgency=medium

  * New upstream bug fix release.
    - Remove po/LINGUAS during package cleaning (Closes: #1043775)

 -- Martin Pitt <mpitt@debian.org>  Wed, 23 Aug 2023 13:01:23 +0200

cockpit-machines (296-1) unstable; urgency=medium

  * New upstream release:
    - Update to PatternFly 5

 -- Martin Pitt <mpitt@debian.org>  Wed, 09 Aug 2023 23:24:17 +0200

cockpit-machines (295-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 26 Jul 2023 10:24:56 +0000

cockpit-machines (294-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 12 Jul 2023 07:58:47 +0000

cockpit-machines (293-1) unstable; urgency=medium

  * New upstream release:
    - Confirm shutdown actions
    - Show virtual interface's TAP device

 -- Martin Pitt <mpitt@debian.org>  Wed, 28 Jun 2023 14:58:07 +0000

cockpit-machines (292-1) unstable; urgency=medium

  * New upstream release:
    - Update to PatternFly 5 Alpha
    - Option to use RAW volume during VM creation
    - Redesign VM’s CPU configuration
    - Apply watchdog changes on next boot if hotplug fails
    - Vsock device support
    - Add manifest condition for the Python bridge

 -- Martin Pitt <mpitt@debian.org>  Sat, 17 Jun 2023 09:18:22 +0000

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog cockpit-machines`.
